SDL_GetSurfacePalette(3)

NAME
SDL_GetSurfacePalette - Get the palette used by a surface.

HEADER FILE
Defined in SDL3/SDL_surface.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_Palette * SDL_GetSurfacePalette(SDL_Surface *surface);

FUNCTION PARAMETERS

surface
    the SDL_Surface
     structure to query.

RETURN VALUE
( SDL_Palette
 *) Returns a pointer to the palette used by the surface, or NULL if there is no palette used.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_SetSurfacePalette(3)